camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-9522) Groovy does not work with spring boot
Date Tue, 19 Jan 2016 17:43:39 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-9522?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15107059#comment-15107059
] 

Claus Ibsen commented on CAMEL-9522:
------------------------------------

You need to add camel-groovy as dependency

> Groovy does not work with spring boot
> -------------------------------------
>
>                 Key: CAMEL-9522
>                 URL: https://issues.apache.org/jira/browse/CAMEL-9522
>             Project: Camel
>          Issue Type: Bug
>          Components: camel-script, camel-spring-boot
>    Affects Versions: 2.16.1
>            Reporter: Jay mann
>
> Trying to run a groovy scirpt in camel-spring-boot fails with NPE.  To reacreate modify
the examples-spring-boot route to this:
> public void configure() {
>         from("timer://trigger").setProperty("groovyProp").groovy("return 'hi'")
>                 .transform().simple("ref:myBean").
>                 to("log:out", "mock:test");
>     }
> and add dependency to pom:
>  <dependency>
>           <groupId>org.apache.camel</groupId>
>           <artifactId>camel-script</artifactId>
>         </dependency>
> Startup fails with NPE.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message